## javax.xml.soap
Class MimeHeader

    java.lang.Object
      |
      +--javax.xml.soap.MimeHeader

public class MimeHeader
extends java.lang.Object

An object that stores a MIME header name and its value. One or more `MimeHeader` objects may be contained in a `MimeHeaders` object.

See Also:
  `MimeHeaders`

Constructor Summary
`MimeHeader(java.lang.String name, java.lang.String value)` Constructs a `MimeHeader` object initialized with the given name and value.

Method Summary
`java.lang.String` `getName()` Returns the name of this `MimeHeader` object.
`java.lang.String` `getValue()` Returns the value of this `MimeHeader` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeHeader

    public MimeHeader(java.lang.String name,
                      java.lang.String value)

  Constructs a `MimeHeader` object initialized with the given name and value.

Parameters:
  `name` - a `String` giving the name of the header
  `value` - a `String` giving the value of the header

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of this `MimeHeader` object.

  Returns:
    the name of the header as a `String`

### getValue

    public java.lang.String getValue()

  Returns the value of this `MimeHeader` object.

  Returns:
    the value of the header as a `String`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.